## sigstore-go 0.7.0

=== Makefile ===
# Copyright 2023 The Sigstore Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

.PHONY: all
all: build build-examples

.PHONY: build
build:
	go build ./cmd/sigstore-go
	go build -o conformance ./cmd/conformance

.PHONY: build-examples
build-examples:
	go build -C ./examples/oci-image-verification -o oci-image-verification .
	go build -C ./examples/sigstore-go-signing -o sigstore-go-signing .

.PHONY: test
test:
	go test ./...

.PHONY: install
install:
	go install ./cmd/...

.PHONY: tidy
tidy:
	go mod tidy

.PHONY: lint
lint:
	golangci-lint run

## sigstore-go 0.6.2

=== debian/changelog ===
sigstore-go (0.6.2-3) unstable; urgency=medium

  * Drop /usr/bin/conformance, internal test tool.
  * Use *-arch rule for manpages.
  * Fix FTBFS due to g-g-g-certificate-transparency.  Closes: #1093640.
  * Install test vector to allow re-enabling of earlier disabled tests.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 22 Jan 2025 22:30:51 +0100

sigstore-go (0.6.2-2) unstable; urgency=medium

  * d/salsa-ci.yml: Drop local apt repos.
  * Fix reprotest failure.
  * Ship examples/.
  * Bump d/* copyright years.
  * Add manpages.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 19 Jan 2025 23:23:33 +0100

sigstore-go (0.6.2-1) unstable; urgency=medium

  * Initial release (Closes: #1085854)

 -- Simon Josefsson <simon@josefsson.org>  Tue, 22 Oct 2024 22:40:21 +0000

=== debian/control ===
Source: sigstore-go
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-digitorus-timestamp-dev,
 golang-github-go-openapi-runtime-dev,
 golang-github-go-openapi-strfmt-dev,
 golang-github-go-openapi-swag-dev,
 golang-github-google-certificate-transparency-dev,
 golang-github-in-toto-attestation-dev,
 golang-github-in-toto-in-toto-golang-dev,
 golang-github-secure-systems-lab-go-securesystemslib-dev,
 golang-github-sigstore-protobuf-specs-dev (>> 0.3.2-1~),
 golang-github-sigstore-rekor-dev (>> 1.3.6-2~),
 golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
 golang-github-sigstore-timestamp-authority-dev,
 golang-github-stretchr-testify-dev,
 golang-github-theupdateframework-go-tuf-dev (>> 2.0.2~),
 golang-golang-x-crypto-dev,
 golang-golang-x-mod-dev,
 golang-google-protobuf-dev,
 help2man <!nodoc>,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/sigstore-go
Vcs-Git: https://salsa.debian.org/go-team/packages/sigstore-go.git
Homepage: https://github.com/sigstore/sigstore-go
XS-Go-Import-Path: github.com/sigstore/sigstore-go

Package: sigstore-go
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Description: Sigstore signing and verification (program)
 A client library for Sigstore (https://www.sigstore.dev/), written in
 Go. Features:
 .
  * Signing and verification of Sigstore bundles
    (https://github.com/sigstore/protobuf-
    specs/blob/main/protos/sigstore_bundle.proto) compliant with Sigstore
    Client Spec
  * Verification of raw Sigstore signatures by creating bundles for them
    (see conformance tests (/cmd/conformance/main.go) for example)
  * Signing and verifying with a Timestamp Authority (TSA)
  * Signing and verifying (offline or online) with Rekor (Artifact
    Transparency Log)
  * Structured verification results including certificate metadata
  * TUF support
  * Verification support for custom trusted root
    (https://github.com/sigstore/protobuf-
    specs/blob/main/protos/sigstore_trustroot.proto)
  * Basic CLI and examples
 .
 For an example of how to use this library, see the verification
 documentation (/docs/verification.md), the CLI cmd/sigstore-go
 (/cmd/sigstore-go/main.go). Note that the CLI
 is to demonstrate how to use the library, and not intended as a fully-
 featured Sigstore CLI like cosign (https://github.com/sigstore/cosign).
 .
 Background
 .
 Sigstore already has a canonical Go client implementation, cosign
 (https://github.com/sigstore/cosign), which was developed with a focus
 on container image signing/verification. It has a rich CLI and a long
 legacy of features and development. sigstore-go is a more minimal and
 friendly API for integrating Go code with Sigstore, with a focus on the
 newly specified data structures in sigstore/protobuf-specs
 (https://github.com/sigstore/protobuf-specs). sigstore-go attempts to
 minimize the dependency tree for simple signing and verification tasks,
 omitting KMS support and container image verification.
 .
 This package contains the binaries.

Package: golang-github-sigstore-sigstore-go-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-digitorus-pkcs7-dev,
 golang-github-digitorus-timestamp-dev,
 golang-github-go-openapi-runtime-dev,
 golang-github-go-openapi-strfmt-dev,
 golang-github-go-openapi-swag-dev,
 golang-github-google-certificate-transparency-dev,
 golang-github-in-toto-attestation-dev,
 golang-github-in-toto-in-toto-golang-dev,
 golang-github-secure-systems-lab-go-securesystemslib-dev,
 golang-github-sigstore-protobuf-specs-dev (>> 0.3.2-1~),
 golang-github-sigstore-rekor-dev (>> 1.3.6-2~),
 golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
 golang-github-sigstore-timestamp-authority-dev,
 golang-github-stretchr-testify-dev,
 golang-github-theupdateframework-go-tuf-dev (>> 2.0.2~),
 golang-golang-x-crypto-dev,
 golang-golang-x-mod-dev,
 golang-google-protobuf-dev,
 ${misc:Depends},
Description: Sigstore signing and verification (Go library)
 A client library for Sigstore (https://www.sigstore.dev/), written in
 Go. Features:
 .
  * Signing and verification of Sigstore bundles
    (https://github.com/sigstore/protobuf-
    specs/blob/main/protos/sigstore_bundle.proto) compliant with Sigstore
    Client Spec
  * Verification of raw Sigstore signatures by creating bundles for them
    (see conformance tests (/cmd/conformance/main.go) for example)
  * Signing and verifying with a Timestamp Authority (TSA)
  * Signing and verifying (offline or online) with Rekor (Artifact
    Transparency Log)
  * Structured verification results including certificate metadata
  * TUF support
  * Verification support for custom trusted root
    (https://github.com/sigstore/protobuf-
    specs/blob/main/protos/sigstore_trustroot.proto)
  * Basic CLI and examples
 .
 For an example of how to use this library, see the verification
 documentation (/docs/verification.md), the CLI cmd/sigstore-go
 (/cmd/sigstore-go/main.go). Note that the CLI
 is to demonstrate how to use the library, and not intended as a fully-
 featured Sigstore CLI like cosign (https://github.com/sigstore/cosign).
 .
 Background
 .
 Sigstore already has a canonical Go client implementation, cosign
 (https://github.com/sigstore/cosign), which was developed with a focus
 on container image signing/verification. It has a rich CLI and a long
 legacy of features and development. sigstore-go is a more minimal and
 friendly API for integrating Go code with Sigstore, with a focus on the
 newly specified data structures in sigstore/protobuf-specs
 (https://github.com/sigstore/protobuf-specs). sigstore-go attempts to
 minimize the dependency tree for simple signing and verification tasks,
 omitting KMS support and container image verification.
 .
 This package contains the Go library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk # DEB_VERSION

export DH_GOLANG_INSTALL_EXTRA := pkg/tuf/repository pkg/testing/data \
	examples/trusted-root-public-good.json

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_before_dh_auto_test:
	rm -fv _build/src/github.com/sigstore/sigstore-go/pkg/verify/sct_test.go

execute_after_dh_auto_install:
	rm -fv $(CURDIR)/debian/tmp/usr/share/gocode/src/github.com/sigstore/sigstore-go/pkg/tuf/testing.local.json
	rm -fv $(CURDIR)/debian/tmp/usr/bin/conformance

B = $(CURDIR)/debian/tmp/usr/bin
M = $(CURDIR)/debian/tmp/usr/share/man/man1

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
execute_before_dh_installman-arch:
	mkdir -pv $(M)
	help2man --version-string="$(DEB_VERSION)" \
		--name="Sigstore OCI image verification" \
		--no-info --no-discard-stderr \
		$(B)/oci-image-verification -o $(M)/oci-image-verification.1
	help2man --version-string="$(DEB_VERSION)" \
		--name="Sigstore signing tool" \
		--no-info --no-discard-stderr \
		$(B)/sigstore-go-signing -o $(M)/sigstore-go-signing.1
	help2man --version-string="$(DEB_VERSION)" \
		--name="Sigstore tool" \
		--no-info --no-discard-stderr \
		$(B)/sigstore-go -o $(M)/sigstore-go.1
endif

## sigstore-go 0.7.0

=== debian/changelog ===
sigstore-go (0.7.0-2) unstable; urgency=medium

  * Standards-Version: 4.7.2.
  * Add Breaks:cosign<=2.4.3 for golang-github-sigstore-sigstore-go-dev.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 17 Mar 2025 00:26:35 +0100

sigstore-go (0.7.0-1) unstable; urgency=medium

  * Build reverse dependencies.
  * New upstream version 0.7.0
  * Add broken example to DH_GOLANG_EXCLUDES.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 05 Feb 2025 11:01:49 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  golang-google-protobuf-dev,
  help2man <!nodoc>,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/sigstore-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/sigstore-go.git
 Homepage: https://github.com/sigstore/sigstore-go
@@ -84,6 +84,8 @@
 Package: golang-github-sigstore-sigstore-go-dev
 Architecture: all
 Multi-Arch: foreign
+Breaks:
+ cosign (<< 2.4.3~),
 Depends:
  golang-github-digitorus-pkcs7-dev,
  golang-github-digitorus-timestamp-dev,

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 
 export DH_GOLANG_INSTALL_EXTRA := pkg/tuf/repository pkg/testing/data \
 	examples/trusted-root-public-good.json
+
+export DH_GOLANG_EXCLUDES := \
+	github.com/sigstore/sigstore-go/examples/custom-certificate-validator
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang

## sigstore-go 0.7.1

=== debian/changelog ===
sigstore-go (0.7.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 10 Apr 2025 10:21:59 +0200

sigstore-go (0.7.1-1) experimental; urgency=medium

  * New upstream version 0.7.1
  * Bump B-D/D sigstore protobuf version.
  * Drop sigstore-go.1 and add sigstore-go-verification.1.
  * sigstore-go: Add Static-Built-Using, suggested by lintian.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 10 Apr 2025 00:06:48 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  golang-github-in-toto-attestation-dev,
  golang-github-in-toto-in-toto-golang-dev,
  golang-github-secure-systems-lab-go-securesystemslib-dev,
- golang-github-sigstore-protobuf-specs-dev (>> 0.3.2-1~),
+ golang-github-sigstore-protobuf-specs-dev (>> 0.4.1~),
  golang-github-sigstore-rekor-dev (>> 1.3.6-2~),
  golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
  golang-github-sigstore-timestamp-authority-dev,
@@ -41,6 +41,8 @@
  ${shlibs:Depends},
 Built-Using:
  ${misc:Built-Using},
+Static-Built-Using:
+ ${misc:Static-Built-Using},
 Description: Sigstore signing and verification (program)
  A client library for Sigstore (https://www.sigstore.dev/), written in
  Go. Features:
@@ -96,7 +98,7 @@
  golang-github-in-toto-attestation-dev,
  golang-github-in-toto-in-toto-golang-dev,
  golang-github-secure-systems-lab-go-securesystemslib-dev,
- golang-github-sigstore-protobuf-specs-dev (>> 0.3.2-1~),
+ golang-github-sigstore-protobuf-specs-dev (>> 0.4.1~),
  golang-github-sigstore-rekor-dev (>> 1.3.6-2~),
  golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
  golang-github-sigstore-timestamp-authority-dev,

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 		--no-info --no-discard-stderr \
 		$(B)/sigstore-go-signing -o $(M)/sigstore-go-signing.1
 	help2man --version-string="$(DEB_VERSION)" \
-		--name="Sigstore tool" \
+		--name="Sigstore verification tool" \
 		--no-info --no-discard-stderr \
-		$(B)/sigstore-go -o $(M)/sigstore-go.1
+		$(B)/sigstore-go-verification -o $(M)/sigstore-go-verification.1
 endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/sigstore/sigstore-go/tags .*/v?(\d\S*)\.tar\.gz debian

## sigstore-go 0.7.3

=== debian/changelog ===
sigstore-go (0.7.3-2) unstable; urgency=medium

  * Skip TestNewOfflineClientFail test
  * Bump debian/* copyright years

 -- Simon Josefsson <simon@josefsson.org>  Thu, 01 Jan 2026 10:42:34 +0100

sigstore-go (0.7.3-1) unstable; urgency=medium

  [ Simon Josefsson ]
  * Modernize Salsa CI
  * New upstream version 0.7.3
  * Use watch v5
  * Standards-Version: 4.7.3
  * Drop Rules-Requires-Root: no
  * Patch to cope with modern TUF

  [ Chris Lamb ]
  * Fix reproducibility (Closes: #1122231)

 -- Simon Josefsson <simon@josefsson.org>  Mon, 29 Dec 2025 18:04:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Simon Josefsson <simon@josefsson.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
@@ -28,7 +27,7 @@
  golang-google-protobuf-dev,
  help2man <!nodoc>,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/sigstore-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/sigstore-go.git
 Homepage: https://github.com/sigstore/sigstore-go

## sigstore-go 1.0.0

=== debian/changelog ===
sigstore-go (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Drop upstreamed patch
  * Drop Priority: optional

 -- Simon Josefsson <simon@josefsson.org>  Mon, 05 Jan 2026 08:15:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sigstore-go
 Section: golang
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Simon Josefsson <simon@josefsson.org>,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang
 
-execute_before_dh_auto_test:
+execute_after_dh_auto_build:
 	rm -fv _build/src/github.com/sigstore/sigstore-go/pkg/verify/sct_test.go
 
 execute_after_dh_auto_install:
@@ -37,3 +37,7 @@
 		--no-info --no-discard-stderr \
 		$(B)/sigstore-go-verification -o $(M)/sigstore-go-verification.1
 endif
+
+override_dh_auto_test:
+	dh_auto_test $(DH_BUILD_OPTS) -- -skip=TestNewOfflineClientFail
+	-dh_auto_test $(DH_BUILD_OPTS) -- -run=TestNewOfflineClientFail

=== debian/watch ===
Version: 5
Template: Github
Owner: sigstore
Project: sigstore-go

## sigstore-go 1.1.4

=== debian/changelog ===
sigstore-go (1.1.4-1) unstable; urgency=medium

  * New upstream (Closes: #1122184)
  * Use gbp upstream-vcs-tag
  * Refresh build deps
  * Expand install-extra
  * Bump upstream copyright years
  * Drop invalid Breaks (should have been on golang-*-dev)

 -- Simon Josefsson <simon@josefsson.org>  Wed, 18 Feb 2026 11:28:56 +0100

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
  golang-github-secure-systems-lab-go-securesystemslib-dev,
  golang-github-sigstore-protobuf-specs-dev (>> 0.4.1~),
  golang-github-sigstore-rekor-dev (>> 1.3.6-2~),
+ golang-github-sigstore-rekor-tiles-dev,
  golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
  golang-github-sigstore-timestamp-authority-dev,
  golang-github-stretchr-testify-dev,
@@ -84,8 +85,6 @@
 Package: golang-github-sigstore-sigstore-go-dev
 Architecture: all
 Multi-Arch: foreign
-Breaks:
- cosign (<< 2.4.3~),
 Depends:
  golang-github-digitorus-pkcs7-dev,
  golang-github-digitorus-timestamp-dev,
@@ -98,6 +97,7 @@
  golang-github-secure-systems-lab-go-securesystemslib-dev,
  golang-github-sigstore-protobuf-specs-dev (>> 0.4.1~),
  golang-github-sigstore-rekor-dev (>> 1.3.6-2~),
+ golang-github-sigstore-rekor-tiles-dev,
  golang-github-sigstore-sigstore-dev (>> 1.8.10-2~),
  golang-github-sigstore-timestamp-authority-dev,
  golang-github-stretchr-testify-dev,

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,10 @@
 
 include /usr/share/dpkg/pkg-info.mk # DEB_VERSION
 
-export DH_GOLANG_INSTALL_EXTRA := pkg/tuf/repository pkg/testing/data \
-	examples/trusted-root-public-good.json
+export DH_GOLANG_INSTALL_EXTRA := \
+	examples/signing_config.v0.2.json \
+	examples/trusted-root-public-good.json \
+	pkg/tuf/repository pkg/testing/data
 
 export DH_GOLANG_EXCLUDES := \
 	github.com/sigstore/sigstore-go/examples/custom-certificate-validator
